From: Alasdair G Kergon <agk@redhat.com>

Correct the documented requirement on the return code from dm cache policy
lookup functions stated in the policy module header file.

Signed-off-by: Alasdair G Kergon <agk@redhat.com>
---
 drivers/md/dm-cache-policy.h |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Index: linux/drivers/md/dm-cache-policy.h
===================================================================
--- linux.orig/drivers/md/dm-cache-policy.h
+++ linux/drivers/md/dm-cache-policy.h
@@ -130,8 +130,8 @@ struct dm_cache_policy {
 	 *
 	 * Must not block.
 	 *
-	 * Returns 1 iff in cache, 0 iff not, < 0 on error (-EWOULDBLOCK
-	 * would be typical).
+	 * Returns 0 if in cache, -ENOENT if not, < 0 for other errors
+	 * (-EWOULDBLOCK would be typical).
 	 */
 	int (*lookup)(struct dm_cache_policy *p, dm_oblock_t oblock, dm_cblock_t *cblock);
 
